Name:    libkactivities
Summary: API for using and interacting with Activities 
Version: 6.1
Release: 2%{?dist}

License: GPLv2+ and LGPLv2+
URL:     https://projects.kde.org/projects/kde/kdelibs/kactivities 
Source0: ftp://ftp.kde.org/pub/kde/stable/active/1.0/src/libkactivities-%{version}.tar.bz2

BuildRequires: kdelibs4-devel >= 4.7 

Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}

# libkactivities moved from kdelibs, but turns out there's no actual conflicts
# kactivitymanagerd moved here from kde-runtime 
Conflicts: kdebase-runtime < 4.7.3-10

%description
API for using and interacting with Activities as a consumer, 
application adding information to them or as an activity manager.

%package devel
Summary: Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -q 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_kde4_bindir}/kactivitymanagerd
%{_kde4_libdir}/libkactivities.so.6*
%{_kde4_libdir}/kde4/activitymanager_plugin_dummy.so
%{_kde4_libdir}/kde4/activitymanager_plugin_nepomuk.so
%{_kde4_libdir}/kde4/activitymanager_plugin_slc.so
%{_kde4_datadir}/kde4/services/activitymanager-plugin-dummy.desktop
%{_kde4_datadir}/kde4/services/activitymanager-plugin-nepomuk.desktop
%{_kde4_datadir}/kde4/services/activitymanager-plugin-slc.desktop
%{_kde4_datadir}/kde4/services/kactivitymanagerd.desktop
%{_kde4_datadir}/kde4/services/kded/activitymanager.desktop
%{_kde4_datadir}/kde4/servicetypes/activitymanager-plugin.desktop

%files devel
%{_kde4_libdir}/libkactivities.so
%{_kde4_libdir}/cmake/KActivities/
%{_kde4_libdir}/pkgconfig/libkactivities.pc
%{_kde4_includedir}/KDE/Activities/
%{_kde4_includedir}/kactivities/


%changelog
* Fri Nov 04 2011 Rex Dieter <rdieter@fedoraproject.org>  6.1-2
- License: GPLv2+ and LGPLv2+

* Tue Oct 25 2011 Rex Dieter <rdieter@fedoraproject.org>  6.1-1
- first try

